#include <LiquidCrystal.h> // Inclusion de la librairie pour afficheur LCD
#include <Keypad.h>

const byte ROWS = 4; //4 lignes
const byte COLS = 3; //3 colonnes

char keys[ROWS][COLS] = {
  {'1', '2', '3'},
  {'4', '5', '6'},
  {'7', '8', '9'},
  {'*', '0', '#'}
};
byte rowPins[ROWS] = {28, 30, 32, 34}; //broches connectées à L0 -> L4
byte colPins[COLS] = {22, 24, 26}; //broches connectées à C0 -> C3

Keypad keypad = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS );

const int BUZZER = 3;

char key;
boolean bSOUND = true;

void SOUND(double, double);

void setup()
{
  //initialisation liaison série
  Serial.begin(9600);

  //initialisation des broches en sortie
  pinMode(BUZZER, OUTPUT);

  //transmission message debut programme
  Serial.println("Debut du programme ...");

}

void loop()
{
    char key = keypad.getKey();

  if (key != NO_KEY) {
    Serial.println("Touche appuyee (char) : " + String(key));
    //clavier = int(key) - 0x30;
    Serial.println("CODE Décimal correspondant : " + String(int(key)));
    
    //on génère un son
    tone(BUZZER, 2200, 10);

  }
}


